package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.paper.library.business.bean.result.DocManageOtherDetailResult;
import com.qmth.paper.library.business.bean.result.DocManageResult;
import com.qmth.paper.library.business.bean.result.DocManageDetailResult;
import com.qmth.paper.library.common.bean.params.DownLoadPaperParams;

import java.util.List;

/**
 * <p>
 * 文档管理 服务类
 * </p>
 */
public interface DocManageService {

    IPage<DocManageResult> pageData(Long examId, String courseCode, Integer pageNumber, Integer pageSize);

    IPage<DocManageDetailResult> pageDetail(Long paperScanTaskId, String collegeName, String majorName, String className, String examRoom, String teacher, String teachClass, Boolean isBind, String param, Double minScore, Double maxScore, Integer minBindCount, Integer maxBindCount, Integer pageNumber, Integer pageSize);

    List<DocManageDetailResult> listDetail(DownLoadPaperParams downLoadPaperParams);

    IPage<DocManageOtherDetailResult> pageOtherDetail(Long paperScanTaskId, Integer pageNumber, Integer pageSize);
}
