package com.qmth.paper.library.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qmth.paper.library.business.entity.PaperLibrary;
import com.qmth.paper.library.business.entity.PaperLibraryOther;
import com.qmth.paper.library.business.mapper.PaperLibraryOtherMapper;
import com.qmth.paper.library.business.service.PaperLibraryOtherService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 其它文件库 服务实现类
 * </p>
 *
 * @author xf
 * @since 2024-03-12
 */
@Service
public class PaperLibraryOtherServiceImpl extends ServiceImpl<PaperLibraryOtherMapper, PaperLibraryOther> implements PaperLibraryOtherService {

    @Override
    public void removeByPaperScanTaskId(Long paperScanTaskId) {
        QueryWrapper<PaperLibraryOther> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(PaperLibraryOther::getPaperScanTaskId, paperScanTaskId);
        this.remove(queryWrapper);
    }
}
